Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3144)

Issue 265973003: Implement "replacement" text encoding. (Closed)

Created:
5 years, 9 months ago by jsbell
Modified:
5 years, 8 months ago
CC:
blink-reviews, blink-reviews-wtf_chromium.org, Mikhail, adamk+blink_chromium.org, abarth-chromium
Visibility:
Public.

Description

Implement "replacement" text encoding. The WHATWG Encoding Standard redefines certain legacy encodings as that are only used as XSS attack vectors as aliases for an abstract "replacement" encoding. * Decode (of resources) terminates with a single U+FFFD. * Encode (e.g. for form submissions) is treated as UTF-8. This is dependent on http://crrev.com/269593009 BUG=277037 R=jshin@chromium.org,eseidel@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=173954

Patch Set 1 #

Patch Set 2 : Rebased #

Patch Set 3 : Request rebaseline the temporary chaset-replacement output #

Unified diffs Side-by-side diffs Delta from patch set Stats (+200 lines, -8 lines) Patch
M LayoutTests/TestExpectations View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M LayoutTests/fast/encoding/char-decoding.html View 3 chunks +11 lines, -4 lines 0 comments Download
M LayoutTests/fast/encoding/char-decoding-expected.txt View 1 chunk +5 lines, -0 lines 0 comments Download
M LayoutTests/fast/encoding/char-encoding.html View 1 chunk +7 lines, -0 lines 0 comments Download
M LayoutTests/fast/encoding/char-encoding-expected.txt View 1 chunk +5 lines, -0 lines 0 comments Download
A LayoutTests/fast/encoding/charset-replacement.html View 1 2 1 chunk +10 lines, -0 lines 0 comments Download
A + LayoutTests/fast/encoding/charset-replacement-expected.png View Binary file 0 comments Download
A + LayoutTests/fast/encoding/charset-replacement-expected.txt View 1 chunk +2 lines, -2 lines 0 comments Download
A Source/wtf/text/TextCodecReplacement.h View 1 chunk +28 lines, -0 lines 0 comments Download
A Source/wtf/text/TextCodecReplacement.cpp View 1 chunk +54 lines, -0 lines 0 comments Download
A Source/wtf/text/TextCodecReplacementTest.cpp View 1 chunk +65 lines, -0 lines 0 comments Download
M Source/wtf/text/TextCodecUTF8.h View 1 chunk +4 lines, -2 lines 0 comments Download
M Source/wtf/text/TextEncodingRegistry.cpp View 2 chunks +4 lines, -0 lines 0 comments Download
M Source/wtf/wtf.gypi View 1 2 chunks +3 lines, -0 lines 0 comments Download

Messages

Total messages: 17 (0 generated)
jsbell
This is part 2 of 3. The full sequence is: 1. API/test cleanup - https://codereview.chromium.org/269593009 ...
5 years, 9 months ago (2014-05-02 18:39:39 UTC) #1
jungshik at Google
On 2014/05/02 18:39:39, jsbell wrote: > This is part 2 of 3. The full sequence ...
5 years, 8 months ago (2014-05-05 21:51:04 UTC) #2
jsbell
On 2014/05/05 21:51:04, Jungshik Shin wrote: > On 2014/05/02 18:39:39, jsbell wrote: > > This ...
5 years, 8 months ago (2014-05-05 21:58:51 UTC) #3
jsbell
On 2014/05/05 21:58:51, jsbell wrote: > On 2014/05/05 21:51:04, Jungshik Shin wrote: > > On ...
5 years, 8 months ago (2014-05-08 21:14:42 UTC) #4
eseidel
Why does this want to subclass the UTF8 encoding?
5 years, 8 months ago (2014-05-09 06:39:44 UTC) #5
eseidel
Ah, because any time you encode anything with one of these you get utf8? it's ...
5 years, 8 months ago (2014-05-09 06:40:08 UTC) #6
jsbell
On 2014/05/09 06:40:08, eseidel wrote: > Ah, because any time you encode anything with one ...
5 years, 8 months ago (2014-05-09 15:31:09 UTC) #7
eseidel
Nah, dispatch to decoders can't be perf sensitive. They do so much malloc/copying which would ...
5 years, 8 months ago (2014-05-09 17:33:29 UTC) #8
jsbell
The CQ bit was checked by jsbell@chromium.org
5 years, 8 months ago (2014-05-13 08:16:26 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jsbell@chromium.org/265973003/1
5 years, 8 months ago (2014-05-13 08:16:39 UTC) #10
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). Please consider checking whether the failures are ...
5 years, 8 months ago (2014-05-13 09:34:46 UTC) #11
jsbell
The CQ bit was unchecked by jsbell@chromium.org
5 years, 8 months ago (2014-05-13 09:36:06 UTC) #12
jsbell
The CQ bit was checked by jsbell@chromium.org
5 years, 8 months ago (2014-05-13 10:43:39 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jsbell@chromium.org/265973003/20001
5 years, 8 months ago (2014-05-13 10:43:55 UTC) #14
jsbell
The CQ bit was checked by jsbell@chromium.org
5 years, 8 months ago (2014-05-13 11:54:35 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jsbell@chromium.org/265973003/40001
5 years, 8 months ago (2014-05-13 11:54:42 UTC) #16
commit-bot: I haz the power
5 years, 8 months ago (2014-05-13 13:08:27 UTC) #17
Message was sent while issue was closed.
Change committed as 173954

Powered by Google App Engine
This is Rietveld 408576698